Summary: Popular Unix Irc client
Name: ircii-EPIC4
Version: pre1.049
Release: 1
Copyright: Distributable
Group: Applications/Communications
Source: ftp://ftp.acronet.net/pub/ircii/epic4pre1.049.tar.gz
Patch: ircii-EPIC-global.patch
Buildroot: /tmp/ircii-EPIC4-%{PACKAGE_VERSION}-root

%description
This is a popular Internet Relay Chat (IRC) client. EPIC is the
(E)nhanced (P)rogrammable (I)RC-II (C)lient.  It is a program used
to connect to IRC servers around the globe so that the user can ``chat''
with others.

%changelog
* Sat Mar 28 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
- Upgraded to pre1.049

* Sat Mar 21 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
- Initial release (pre1.047)
- Small patch to disable loading local-script in global file

%prep 
%setup -n ircii-EPIC4%{PACKAGE_VERSION}
%patch -p1

%build
rm -rf $RPM_BUILD_ROOT
./configure --prefix=/usr
make all

%clean
rm -rf $RPM_BUILD_ROOT

%install
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/man/man1
install -d $RPM_BUILD_ROOT/usr/lib/irc
install -d $RPM_BUILD_ROOT/usr/lib/irc/script

echo "poznan.irc.pl:6667" >> $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
echo "warszawa.irc.pl:6667" >> $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
echo "lublin.irc.pl:6667" >> $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
echo "krakow.irc.pl:6667" >> $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers

install -m755 -s source/irc $RPM_BUILD_ROOT/usr/bin/
install -m755 -s source/wserv $RPM_BUILD_ROOT/usr/bin/
cp -r script $RPM_BUILD_ROOT/usr/lib/irc/
install -m644 doc/ircII.1 $RPM_BUILD_ROOT/usr/man/man1

%files
%attr(-,root,root) %doc INSTALL UPDATES KNOWNBUGS BUG_FORM doc
%attr(644,root,root) %config /usr/lib/irc/ircII.servers
%attr(755,root,root) /usr/bin/irc
%attr(755,root,root) /usr/bin/wserv
%attr(644,root,root) /usr/man/man1/ircII.1
%attr(644,root,root) /usr/lib/irc/script/*
